Page tree

Versions Compared

Key

  • This line was added.
  • This line was removed.
  • Formatting was changed.

...

Change current user to avalon then install RVM and ruby 1.9.3-p429.

Code Block
su - avalon
curl -L https://get.rvm.io | bash -s stable --ruby=1.9.3

...

Code Block
$ passenger-config --root
/home/avalon/.rvm/gems/ruby-1.9.3-p429p545/gems/passenger-34.0.1940

Install Passenger apache module requirements (as root)

...

Example contents of /etc/httpd/conf.d/passenger.conf, which may need to be changed based off of the current version of ruby and passenger:

Code Block
LoadModule passenger_module /home/avalon/.rvm/gems/ruby-1.9.3-p448p545/gems/passenger-4.0.1040/buildout/apache2/mod_passenger.so
<IfModule passenger_module>
  PassengerRoot /home/avalon/.rvm/gems/ruby-1.9.3-p448p545/gems/passenger-4.0.1040
  PassengerDefaultRuby /home/avalon/.rvm/wrappers/ruby-1.9.3-p448p545/ruby
  PassengerMaxPoolSize 30
  PassengerPoolIdleTime 300
  PassengerMaxInstancesPerApp 0
  PassengerMinInstances 3
  PassengerSpawnMethod smart-lv2
</IfModule>

...